XMLDOMElement Class Referenceabstract

The XMLDOMElement interface represents an element in an XML document. More...

Inheritance diagram for XMLDOMElement:

## Public Member Functions

virtual LogString | getTagName ()=0
virtual LogString | getAttribute (const LogString &name)=0
Public Member Functions inherited from XMLDOMNode
virtual XMLDOMNodeListPtr | getChildNodes ()=0
virtual XMLDOMNodeType | getNodeType ()=0
virtual XMLDOMDocumentPtr | getOwnerDocument ()=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Public Types inherited from XMLDOMNode
enum | XMLDOMNodeType { NOT_IMPLEMENTED_NODE = 0, ELEMENT_NODE = 1, DOCUMENT_NODE = 9 }
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

The XMLDOMElement interface represents an element in an XML document.

## Member Function Documentation

## getAttribute()

virtual LogString getAttribute | ( | const LogString & | name | ) |

pure virtual

## getTagName()

virtual LogString getTagName | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- xml.h